Mailinglist Archive: opensuse-factory (1324 mails)

< Previous Next >
Re: [opensuse-factory] leap42 - minimum server pattern has become too minimum

Hello,

On Oct 23 12:21 Dominique Leuenberger / DimStar wrote (excerpt):
On Fri, 2015-10-23 at 10:44 +0200, Per Jessen wrote:
In Milestone 2 it still worked well, but now we don't even install
YaST.  
I'm sorry, but that's just ridiculous.

I'm not sure 'ridiculous' is a valid choice of word here... consider
the various usecases for the minimum server pattern:

* Install a server (obvious)
There, it's arguable if you need yast or not... most serious server
setups will be using other management tools (puppet et.al)
* Install a container (nspawn, docker)
Yast is just a bloat in there... does not make any sense at all.

I like to confirm that Dominique is right.

Basically with a really minimum pattern the only thing
that must work is bash and "zypper install".

FWIW:
I usually install only the base, minimal, and X patterns
as starting point because this way I get a lightweight
initial system with a basic set of tools/applications
that fit my pesonal needs ( I am not a desktop user ;-)


Kind Regards
Johannes Meixner
--
SUSE LINUX GmbH - GF: Felix Imendoerffer, Jane Smithard,
Graham Norton - HRB 21284 (AG Nuernberg)
< Previous Next >
This Thread